function index = mujSort(tranDb, razeni)
% mujSort('tranDb', 1 nebo 0)
% tranDb = data z databaze marketbasket.mat
% razeni = zpusob setrideni hodnot:
    % 0 pro vzestupne trideni (= ASCending sorting)
    % 1 pro sestupne trideni (= DESCending sorting)
% return = vrati index vektoru

% celkovy pocet sloupcu
pocetSloupcu = size(tranDb, 2);

% sestaveni pomocne matice pro vypocet
% 1 radek = indexy
% 2 radek cetnost vyskztu jednotlivych polozek
matrix = zeros(2, pocetSloupcu);

% generovani pocatecnich indexu
matrix(1,:) = [1:pocetSloupcu];
for i = 1:pocetSloupcu
matrix(2,i) = sum(tranDb(:,i));
end

% vzestupne setrideni
matrix = sortrows(matrix',2);
matrix = matrix';

% pokud chci sestupne setrideni = otocim poradi sloupcu v matici, tzn.
% sloupec s indexem 1 bude prvni
if razeni == 1
matrix = fliplr(matrix);
end
index = matrix(1,:);
end