function [ minimum, avg, maximum ] = najdiRelativPodporu( tranDb )
% nacteni dat: load('marketBasket.mat')
% [minimum,avg,maximum] = najdiRelativPodporu(tranDb)
% fce vrati min, avg a max

radky = size(tranDb, 1); % zjistim pocet radku
sloupce = size(tranDb, 2); % zjistim pocet sloupcu

podpora = zeros(1, sloupce); % vytvoreni matice
% v cyklu projdu vsechny sloupce, sectu vsechny 1 (= radky)
% vydelim poctem radku = prumer
for i = 1:sloupce
    podpora(1, i) = mean(tranDb(:, i));
end

minimum = min(podpora);
avg = mean(podpora);
maximum = max(podpora);

end

